/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

// core
@import "../core/colors";

//---
// DGE COLORS
// --

$dge-primary: #c02846;
$dge-gray: #5a5a5a;
$dge-gray-light: #878787;

$dge-blue: #116390;
$dge-aqua: #00a6bd;
$dge-green: #82c75d;
$dge-orange: #efa500;
$dge-pink: #ee7d6c;
$dge-red: #e3343e;

$dge-conjoncture-1: #a19288;
$dge-conjoncture-2: #bfa59a;
$dge-tourisme: #8db6b4;
$dge-prospective: #86a5b9;
$dge-evaluation: #abc3a9;

//---
// BOOSTRAP VARIABLES
// --

// fonts
// $font-family-sans-serif: 'Source Sans Pro','Helvetica Neue',Helvetica,Arial,sans-serif;
$font-family-sans-serif: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";

// colors
$brand-primary: $dge-blue;
$brand-success: $green;
$brand-danger: $dge-red;
$brand-info: $dge-aqua;
$brand-warning: $dge-orange;

//$state-success-text:  $green;
//$state-info-text:     $aqua;
//$state-warning-text:  $yellow;
//$state-danger-text:   $red;

// modals
$modal-title-padding: 10px 15px;
$modal-inner-padding: 15px;

//Link colors (Aka: <a> tags)
$link-color: $dge-blue;
$link-hover-color: lighten($dge-blue, 15%);

// form
$input-border: $gray-lte;
$input-border-radius: 0px;
$input-border-focus: $light-blue;

// components
// $component-active-bg: $dge-prospective;

//---
// ADMINLTE VARIABLES
// --
$light-blue: $dge-blue;
$red: $dge-red;
$aqua: $dge-aqua;
$yellow: $dge-orange;
$orange: $dge-orange;

// box
$box-title-padding: 10px 15px;
$box-inner-padding: 15px;

//---
// SELECTIZE VARIABLES
// --
$selectize-shadow-input-focus: none;
$selectize-shadow-input-error: none;
$selectize-shadow-input-error-focus: none;
